import 'package:flutter/material.dart';

class OfflinePage extends StatelessWidget {
  final NetworkCallBack onNetworkChange;

  const OfflinePage({this.onNetworkChange});

  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
        appBar: null,
        body: Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: <Widget>[
              Expanded(child: SizedBox()),
              Container(
                margin: const EdgeInsets.all(20),
                child: Icon(Icons.cloud_off),
                //child: Image.asset('assets/images/no_network_img.png',),
              ),
              Text('No Internet Access '),
              Expanded(child: SizedBox()),
              new InkWell(
                onTap: () {
                  onNetworkChange();
                },
                child: Container(
                  alignment: FractionalOffset.center,
                  height: 50,
                  color: Colors.grey,
                  child: Text(
                    'No network. Tap here to reconnect',
                    style: TextStyle(color: Colors.white),
                  ),
                ),
              )
            ],
          ),
        ),
      ),
    );
  }
}

typedef NetworkCallBack = void Function();
