import 'package:flutter/material.dart';
import 'package:flutter_inappbrowser/flutter_inappbrowser.dart';

class CustomizeWebView extends StatefulWidget {
  final String title;
  final String selectedUrl;

  CustomizeWebView({this.title, this.selectedUrl});

  @override
  _InlineWebViewViewState createState() =>
      _InlineWebViewViewState(this.title, this.selectedUrl);
}

class _InlineWebViewViewState extends State<CustomizeWebView> {
  String title;
  String url = "";

  _InlineWebViewViewState(this.title, this.url);

  InAppWebViewController webView;
  double progress = 0;

  @override
  void initState() {
    super.initState();
  }

  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(widget.title),
      ),
      body: Column(
        children: <Widget>[
          Container(
              padding: EdgeInsets.fromLTRB(0, 0, 0, 2),
              child: progress < 1.0
                  ? LinearProgressIndicator(value: progress)
                  : null),
          Expanded(
            child: Container(
              //margin: const EdgeInsets.all(5.0),
              decoration:
                  BoxDecoration(border: Border.all(color: Colors.white24)),
              child: InAppWebView(
                initialUrl: url,
                initialHeaders: {},
                initialOptions: InAppWebViewWidgetOptions(
//                      crossPlatform: InAppWebViewOptions(
//                        debuggingEnabled: true,
//                      )
                    ),
                onWebViewCreated: (InAppWebViewController controller) {
                  webView = controller;
                },
                onLoadStart: (InAppWebViewController controller, String url) {
                  setState(() {
                    this.url = url;
                  });
                },
                onLoadStop:
                    (InAppWebViewController controller, String url) async {
                  setState(() {
                    this.url = url;
                  });
                },
                onProgressChanged:
                    (InAppWebViewController controller, int progress) {
                  setState(() {
                    this.progress = progress / 100;
                  });
                },
              ),
            ),
          ),
        ],
      ),
    );
  }
}
