import 'package:flutter/material.dart';
import 'package:hqsoft_core/data_base/data_base.dart';

class BlocProviderTranslations<T extends BlocBase> extends StatefulWidget {
  BlocProviderTranslations({
    Key key,
    @required this.child,
    @required this.bloc,
  }) : super(key: key);

  final Widget child;
  final T bloc;

  @override
  _BlocProviderTranslationsState<T> createState() =>
      _BlocProviderTranslationsState<T>();

  static T of<T extends BlocBase>(BuildContext context) {
    _BlocProviderInherited<T> provider = context
        .getElementForInheritedWidgetOfExactType<_BlocProviderInherited<T>>()
        ?.widget;
    return provider?.bloc;
  }
}

class _BlocProviderTranslationsState<T extends BlocBase>
    extends State<BlocProviderTranslations<T>> {
  @override
  void dispose() {
    widget.bloc?.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return new _BlocProviderInherited<T>(
      bloc: widget.bloc,
      child: widget.child,
    );
  }
}

class _BlocProviderInherited<T> extends InheritedWidget {
  _BlocProviderInherited({
    Key key,
    @required Widget child,
    @required this.bloc,
  }) : super(key: key, child: child);

  final T bloc;

  @override
  bool updateShouldNotify(_BlocProviderInherited oldWidget) => false;
}
